

<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Excecution Report</title>
<link rel="apple-touch-icon" href="https://cdn.jsdelivr.net/gh/extent-framework/extent-github-cdn@b00a2d0486596e73dd7326beacf352c639623a0e/commons/img/logo.png">
<link rel="shortcut icon" href="https://cdn.jsdelivr.net/gh/extent-framework/extent-github-cdn@b00a2d0486596e73dd7326beacf352c639623a0e/commons/img/logo.png">
<link href="https://cdn.jsdelivr.net/gh/extent-framework/extent-github-cdn@83e4e8776725a49f9e738b19d1e718e7404d6c19/spark/css/spark-style.css" rel="stylesheet" />
<link href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">
<script src="https://cdn.rawgit.com/extent-framework/extent-github-cdn/7cc78ce/spark/js/jsontree.js"></script>
<style type="text/css"></style></head><body class="spa bdd-report dark">
  <div class="app">
    <div class="layout">
<div class="header navbar">
<div class="vheader">
<div class="nav-logo">
<a href="#">
<div class="logo" style="background-image: url('https://cdn.jsdelivr.net/gh/extent-framework/extent-github-cdn@b00a2d0486596e73dd7326beacf352c639623a0e/commons/img/logo.png')"></div>
</a>
</div>
<ul class="nav-left">
<li class="search-box">
<a class="search-toggle" href="#">
<i class="search-icon fa fa-search"></i>
<i class="search-icon-close fa fa-close"></i>
</a>
</li>
<li class="search-input"><input id="search-tests" class="form-control" type="text" placeholder="Search..."></li>
</ul>
<ul class="nav-right">
<li class="m-r-10">
<a href="#"><span class="badge badge-primary">Telefonica</span></a>
</li>
<li class="m-r-10">
<a href="#"><span class="badge badge-primary">jul 2, 2021 01:18:46 a. m.</span></a>
</li>
</ul>
</div>
</div><div class="side-nav">
<div class="side-nav-inner">
<ul class="side-nav-menu">
<li class="nav-item dropdown" onclick="toggleView('test-view')">
<a id="nav-test" class="dropdown-toggle" href="#">
<span class="ico"><i class="fa fa-list"></i></span>
</a>
</li>
<li class="nav-item dropdown" onclick="toggleView('exception-view')">
<a id="nav-exception" class="dropdown-toggle" href="#">
<span class="ico"><i class="fa fa-bug"></i></span>
</a>
</li>
<li class="nav-item dropdown" onclick="toggleView('dashboard-view')">
<a id="nav-dashboard" class="dropdown-toggle" href="#">
<span class="ico"><i class="fa fa-bar-chart"></i></span>
</a>
</li>
</ul>
</div>
</div>      <div class="vcontainer">
        <div class="main-content">
<div class="test-wrapper row view test-view">
  <div class="test-list">
    <div class="test-list-tools">
<ul class="tools pull-left">
<li><a href="#"><span class="font-size-14">Tests</span></a></li>
</ul>
<ul class="tools text-right">
<li class="dropdown">
<a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="fa fa-exclamation-circle"></i></a>
<ul id="status-toggle" class="dropdown-menu dropdown-md p-v-0">
<a class="dropdown-item" status="fail" href="#"><span>Fail</span><span class="status danger"></span></a>
<div class="dropdown-divider"></div>
<a status="clear" class="dropdown-item" href="#"><span>Clear</span><span class="pull-right"><i class="fa fa-close"></i></span></a>
</ul>
</li>
</ul>
</div>    <div class="test-list-wrapper scrollable">
      <ul class="test-list-item">
        <li class="test-item"  status="fail" test-id="1"
          author=""
          tag=""
          device="">
          <div class="status-avatar fail-bg">
            <i class="fa fa-times text-white"></i>
          </div>
          <div class="test-detail">
            <span class="meta text-white badge badge-sm"></span>
            <p class="name">Prueba de Automatización Funcional</p>
            <p class="text-sm"><span>01:18:46 a. m.</span> / <span>38.342 secs</span></p>
          </div>
          <div class="test-contents d-none">
<div class="detail-head">
<div class="p-v-10">
<div class="info">
<div class='float-right'><span class='badge badge-default'>#test-id=1</span></div>
<h5 class="test-status text-fail">Prueba de Automatización Funcional</h5>
<span class='badge badge-success'>07.02.2021 01:18:46</span>
<span class='badge badge-danger'>07.02.2021 01:19:25</span>
<span class='badge badge-default'>38.342 secs</span>
</div>
<div class="m-t-10 m-l-5"></div>
</div>
</div>
<div class="accordion mt-4">
  <div class="card">
    <div class="card-header" role="tab">
      <div class="card-title">
        <div class="node" id="2"><span class="badge log fail-bg mr-2">Fail</span>Compra de calzado</div>
          <div class="status-avatar float-right mr-4">
            <i class="fa fa-paperclip"></i>
          </div>
      </div>
    </div>
        <div class="">
          <div class="card-body">
              <div class="step pass-bg" title="ProyectoBase.web.definitions.Background.ingresoAURL(java.lang.String)">
                <span>Given ingreso a URL "https://www.falabella.com/falabella-cl/"</span>
      <div>
      </div>
              </div>
              <div class="step pass-bg" title="ProyectoBase.web.definitions.CategoriasZapatosDefinition.navegarAMenuLuegoA(java.lang.String,java.lang.String)">
                <span>Given navegar a menu "Categorías" luego a "Zapatos"</span>
      <div>
      </div>
              </div>
              <div class="step pass-bg" title="ProyectoBase.web.definitions.CategoriasZapatosDefinition.realizarClickEn(java.lang.String)">
                <span>When realizar click en "Zapatos de seguridad"</span>
      <div>
      </div>
              </div>
              <div class="step fail-bg" title="ProyectoBase.web.definitions.CategoriasZapatosDefinition.realizarFiltraciónPor(java.lang.String)">
                <span>And realizar filtración por "Botas"</span>
      <div>
        <textarea disabled class="code-block">org.openqa.selenium.StaleElementReferenceException: stale element reference: element is not attached to the page document
  (Session info: chrome=91.0.4472.124)
For documentation on this error, please visit: https://www.seleniumhq.org/exceptions/stale_element_reference.html
Build info: version: '3.141.59', revision: 'e82be7d358', time: '2018-11-14T08:17:03'
System info: host: 'ZCO-BBSFTQ2', ip: '192.168.1.14', os.name: 'Windows 10', os.arch: 'amd64', os.version: '10.0', java.version: '11.0.7'
Driver info: org.openqa.selenium.chrome.ChromeDriver
Capabilities {acceptInsecureCerts: false, browserName: chrome, browserVersion: 91.0.4472.124, chrome: {chromedriverVersion: 91.0.4472.101 (af52a90bf870..., userDataDir: C:\Users\jgongall\AppData\L...}, goog:chromeOptions: {debuggerAddress: localhost:59114}, javascriptEnabled: true, networkConnectionEnabled: false, pageLoadStrategy: normal, platform: WINDOWS, platformName: WINDOWS, proxy: Proxy(), setWindowRect: true, strictFileInteractability: false, timeouts: {implicit: 0, pageLoad: 300000, script: 30000}, unhandledPromptBehavior: dismiss and notify, webauthn:extension:largeBlob: true, webauthn:virtualAuthenticators: true}
Session ID: 4ba54c57cb744fd34fcc48bee661745b
	at java.base/jdk.internal.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at java.base/jdk.internal.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:62)
	at java.base/jdk.internal.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
	at java.base/java.lang.reflect.Constructor.newInstance(Constructor.java:490)
	at org.openqa.selenium.remote.http.W3CHttpResponseCodec.createException(W3CHttpResponseCodec.java:187)
	at org.openqa.selenium.remote.http.W3CHttpResponseCodec.decode(W3CHttpResponseCodec.java:122)
	at org.openqa.selenium.remote.http.W3CHttpResponseCodec.decode(W3CHttpResponseCodec.java:49)
	at org.openqa.selenium.remote.HttpCommandExecutor.execute(HttpCommandExecutor.java:158)
	at org.openqa.selenium.remote.service.DriverCommandExecutor.execute(DriverCommandExecutor.java:83)
	at org.openqa.selenium.remote.RemoteWebDriver.execute(RemoteWebDriver.java:552)
	at org.openqa.selenium.remote.RemoteWebElement.execute(RemoteWebElement.java:285)
	at org.openqa.selenium.remote.RemoteWebElement.click(RemoteWebElement.java:84)
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.base/java.lang.reflect.Method.invoke(Method.java:566)
	at org.openqa.selenium.support.pagefactory.internal.LocatingElementHandler.invoke(LocatingElementHandler.java:51)
	at com.sun.proxy.$Proxy23.click(Unknown Source)
	at ProyectoBase.web.pages.CategoriasZapatosPage.filterToBotas(CategoriasZapatosPage.java:34)
	at ProyectoBase.web.definitions.CategoriasZapatosDefinition.realizarFiltraciónPor(CategoriasZapatosDefinition.java:30)
	at ✽.realizar filtración por "Botas"(file:///C:/Users/jgongall/Desktop/ProyectoAutomatizacion/src/test/resources/features/web/web.feature:9)
</textarea>
      
      </div>
              </div>
              <div class="step pass-bg" title="AFTER_STEP">
                <span>ProyectoBase.web.definitions.TestContext.afterStep()</span>
      <div>
          <div class="row mb-3"><div class="col-md-3">
    <img data-featherlight='../test-output/screenshots/embedded1.png' src="../test-output/screenshots/embedded1.png">
    
    </div></div>
</div>
      <div>
      </div>
              </div>
              <div class="step skip-bg" title="ProyectoBase.web.definitions.CategoriasZapatosDefinition.realizarClickEnAlgunProductoYTalla(java.lang.String,java.lang.String)">
                <span>* realizar click en algun producto "" y talla ""</span>
      <div>Step skipped
      </div>
              </div>
              <div class="step skip-bg" title="ProyectoBase.web.definitions.CategoriasZapatosDefinition.aumentarLaCantidadHasta(java.lang.Integer)">
                <span>* Aumentar la cantidad hasta 4</span>
      <div>Step skipped
      </div>
              </div>
              <div class="step skip-bg" title="ProyectoBase.web.definitions.CategoriasZapatosDefinition.validarAlRealizarClickEnParaDesplegarElDetalleDeLaBolsaDeCompras(java.lang.String)">
                <span>Then Validar al realizar click en "Ver bolsar de compras", para desplegar el detalle de la bolsa de compras</span>
      <div>Step skipped
      </div>
              </div>
              <div class="step skip-bg" title="ProyectoBase.web.definitions.CategoriasZapatosDefinition.culminarLaAutomatización()">
                <span>* Culminar la automatización</span>
      <div>Step skipped
      </div>
              </div>
          </div>
        </div>
  </div>
</div>
          </div>
        </li>
      </ul>
    </div>
  </div>
<div class="test-content scrollable">
<div class="test-content-tools">
<ul><li><a class="back-to-test" href="#"><i class="fa fa-arrow-left"></i></a></li></ul>
</div>
<div class="test-content-detail"><div class="detail-body"></div></div>
</div></div>
<div class="test-wrapper row view exception-view attributes-view">
<div class="test-list">
<div class="test-list-tools">
<ul class="tools pull-left">
<li>
<a href="">
<span class="font-size-14">Exception</span>
</a>
</li>
</ul>
<ul class="tools text-right">
<li>
<a href="#">
<span class="badge badge-primary">1</span>
</a>
</li>
</ul>
</div>
<div class="test-list-wrapper scrollable">
<ul class="test-list-item">
<li class="test-item">
<div class="open-test">
<div class="test-detail">
<p class="name">org.openqa.selenium.StaleElementReferenceException</p>
<p class="duration text-sm">1 tests</p>
</div>
</div>
<div class="test-contents d-none">
<div class="info">
<h4>org.openqa.selenium.StaleElementReferenceException</h4>
</div>
<table class='table table-sm mt-4'>
<thead>
<tr>
<th class="status-col">Status</th>
<th class="timestamp-col">Timestamp</th>
<th>TestName</th>
</tr>
</thead>
<tbody>
<tr>
<td><span class="badge log fail-bg">Fail</span></td>
<td>01:19:21 a. m.</td>
<td>
<a href="#" class="linked" test-id='1' id='10'>And realizar filtración por "Botas"</a>
<div class="">
<span class="badge badge-default">Compra de calzado</span>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</div>
</div>
<div class="test-content scrollable">
<div class="test-content-tools">
<ul>
<li>
<a class="back-to-test" href="javascript:void(0)">
<i class="fa fa-arrow-left"></i>
</a>
</li>
</ul>
</div>
<div class="test-content-detail">
<div class="detail-body"></div>
</div>
</div>
</div><div class="container-fluid p-4 view dashboard-view">
<div class="row">
<div class="col-md-3">
<div class="card"><div class="card-body">
<p class="m-b-0">Started</p>
<h3>jul 2, 2021 01:18:46 a. m.</h3>
</div></div>
</div>
<div class="col-md-3">
<div class="card"><div class="card-body">
<p class="m-b-0">Ended</p>
<h3>jul 2, 2021 01:19:25 a. m.</h3>
</div></div>
</div>
<div class="col-md-3">
<div class="card"><div class="card-body">
<p class="m-b-0 text-pass">Features Passed</p>
<h3>0</h3>
</div></div>
</div>
<div class="col-md-3">
<div class="card"><div class="card-body">
<p class="m-b-0 text-fail">Features Failed</p>
<h3>1</h3>
</div></div>
</div>
</div>
<div class="row">
<div class="col-md-4">
<div class="card">
<div class="card-header">
<h6 class="card-title">Features</h6>
</div>
<div class="card-body">
<div class="">
<canvas id='parent-analysis' width='115' height='90'></canvas>
</div>
</div>
<div class="card-footer">
<div><small data-tooltip='0%'>
<b>0</b> features passed
</small>
</div>
<div>
<small data-tooltip='100%'><b>1</b> features failed,
<b>0</b> skipped, <b data-tooltip='0%'>0</b> others
</small>
</div>
</div>
</div>
</div>
<div class="col-md-4">
<div class="card">
<div class="card-header">
<h6 class="card-title">Scenarios</h6>
</div>
<div class="card-body">
<div class="">
<canvas id='child-analysis' width='115' height='90'></canvas>
</div>
</div>
<div class="card-footer">
<div><small data-tooltip='0%'><b>0</b> scenarios passed</small></div>
<div>
<small data-tooltip='100%'><b>1</b> scenarios failed,
<b>0</b> skipped, <b data-tooltip='%'>0</b> others
</small>
</div>
</div>
</div>
</div>
<div class="col-md-4">
<div class="card">
<div class="card-header">
<h6 class="card-title">Steps</h6>
</div>
<div class="card-body">
<div class="">
<canvas id='grandchild-analysis' width='115' height='90'></canvas>
</div>
</div>
<div class="card-footer">
<div><small data-tooltip='44%'><b>4</b> steps passed</small></div>
<div>
<small data-tooltip='11%'><b>1</b> steps failed,
<b>4</b> skipped, <b data-tooltip='%'>0</b> others
</small>
</div>
</div>
</div>
</div>
</div>
<div class="row">
</div>
</div>
<script>
var statusGroup = {
parentCount: 5,
passParent: 0,
failParent: 1,
warningParent: 0,
skipParent: 0,
childCount: 5,
passChild: 0,
failChild: 1,
warningChild: 0,
skipChild: 0,
infoChild: 0,
grandChildCount: 5,
passGrandChild: 4,
failGrandChild: 1,
warningGrandChild: 0,
skipGrandChild: 4,
infoGrandChild: 0,
eventsCount: 5,
};
</script>        </div>
      </div>
    </div>
  </div>
<script src="https://cdn.jsdelivr.net/gh/extent-framework/extent-github-cdn@5cf22a596531402644b8523470526952516f345f/spark/js/spark-script.js"></script>
<script type="text/javascript"></script></body>
</html>